# Uses of Class
org.eclipse.jface.text.source.LineNumberRulerColumn

Packages that use LineNumberRulerColumn
Package
Description
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of LineNumberRulerColumn in org.eclipse.jface.text.source

Subclasses of LineNumberRulerColumn in org.eclipse.jface.text.source
Modifier and Type
Class
Description
`class`
`LineNumberChangeRulerColumn`
A vertical ruler column displaying line numbers and serving as a UI for quick diff.

## Uses of LineNumberRulerColumn in org.eclipse.ui.texteditor

Fields in org.eclipse.ui.texteditor declared as LineNumberRulerColumn
Modifier and Type
Field
Description
`protected LineNumberRulerColumn`
AbstractDecoratedTextEditor.`fLineNumberRulerColumn`
The line number column.
Methods in org.eclipse.ui.texteditor with parameters of type LineNumberRulerColumn
Modifier and Type
Method
Description
`protected void`
AbstractDecoratedTextEditor.`initializeLineNumberRulerColumn(LineNumberRulerColumn rulerColumn)`
Initializes the given line number ruler column from the preference store.